=== debian/changelog ===
x265 (1.9-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 11 Feb 2016 09:31:40 +0100

x265 (1.9-2) experimental; urgency=medium

  * debian/libx265-79.symbols: Add missing symbols.
  * debian/control: Restrict yasm in B-D to amd64 and kfreebsd-amd64 again.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Feb 2016 02:08:37 +0100

x265 (1.9-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-68 -> libx265-79.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
    - Fix typos in Description.
  * debian/copyright: Update years.
  * debian/rules: Remove unnecessary dh_strip override.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Feb 2016 22:01:19 +0100
