=== debian/changelog ===
x265 (2.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 12 Sep 2016 18:49:17 +0100

x265 (2.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 31 Aug 2016 21:54:39 +0200

x265 (2.0-3) experimental; urgency=medium

  * debian/{control,rules,patches/compile-flags.patch}: Completely disable
    asm support on arm* until we find a way to build everything correctly.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Aug 2016 16:35:59 +0200

x265 (2.0-2) experimental; urgency=medium

  * debian/{control,rules,patches/compile-flags.patch}: Build only 8 bit
    flavor with yasm enabled on armel and armhf. Also set features via
    configure options instead of auto-detecting them.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 18 Aug 2016 22:27:01 +0200

x265 (2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * SONAME bump: libx265-79 -> libx265-87.
  * Build with hardening=+all,-pie.
  * Add autopkgtest.

  [ Sebastian Ramacher ]
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 16 Aug 2016 21:17:29 +0200
