=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  yasm (>= 1.2) [amd64 kfreebsd-amd64]
 Build-Depends-Indep:
  python-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://x265.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x265.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x265.git
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-79 (= ${binary:Version})
+ libx265-87 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,7 +53,7 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-79
+Package: libx265-87
 Section: libs
 Architecture: any
 Multi-Arch: same
