=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #! /usr/bin/make -f
 
-DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed \
 	-L$(CURDIR)/x265-10bit \
@@ -9,6 +11,19 @@
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 # LFS support
 export DEB_CPPFLAGS_MAINT_APPEND=$(shell getconf LFS_CFLAGS)
+
+FLAGS = -DENABLE_PIC=ON
+FLAGS_OTHERBIT  = -DENABLE_CLI=OFF
+FLAGS_OTHERBIT += -DENABLE_SHARED=OFF
+FLAGS_OTHERBIT += -DEXPORT_C_API=OFF
+FLAGS_OTHERBIT += -DHIGH_BIT_DEPTH=ON
+
+# enable assembly builds on amd64, kfreebsd-amd64
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 kfreebsd-amd64))
+FLAGS += -DENABLE_ASSEMBLY=ON
+else
+FLAGS += -DENABLE_ASSEMBLY=OFF
+endif
 
 %:
 	dh $@ --parallel --buildsystem=cmake \
@@ -25,20 +40,12 @@
 
 override_dh_auto_configure-arch:
 	dh_auto_configure --builddirectory=x265-10bit -- \
-		-DENABLE_PIC=ON \
-		-DENABLE_CLI=OFF \
-		-DENABLE_SHARED=OFF \
-		-DEXPORT_C_API=OFF \
-		-DHIGH_BIT_DEPTH=ON
+		$(FLAGS) $(FLAGS_OTHERBIT)
 	dh_auto_configure --builddirectory=x265-12bit -- \
-		-DENABLE_PIC=ON \
-		-DENABLE_CLI=OFF \
-		-DENABLE_SHARED=OFF \
-		-DEXPORT_C_API=OFF \
-		-DHIGH_BIT_DEPTH=ON \
+		$(FLAGS) $(FLAGS_OTHERBIT) \
 		-DMAIN12=ON
 	dh_auto_configure -- \
-		-DENABLE_PIC=ON \
+		$(FLAGS) $(FLAGS_8BIT) \
 		-DLIB_INSTALL_DIR=lib/$(DEB_HOST_MULTIARCH) \
 		-DEXTRA_LIB="x265_main10.a;x265_main12.a" \
 		-DLINKED_10BIT=ON \
