=== debian/changelog ===
x265 (2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Oct 2016 23:57:29 +0200

x265 (2.1-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-87 -> libx265-95.
  * debian/libx265-95.symbols: Re-add symbols for x265_api_get and
    x265_encoder_open.
  * debian/{rules,control,compat}: Bump debhelper compat to 10.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Oct 2016 09:53:23 +0200
