=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 9.20151219),
+ debhelper (>= 10),
  cmake,
  libnuma-dev [amd64 arm64 i386 mips mips64 mips64el mipsel powerpc ppc64el],
  yasm (>= 1.2) [amd64 kfreebsd-amd64]
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-87 (= ${binary:Version})
+ libx265-95 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,7 +53,7 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-87
+Package: libx265-95
 Section: libs
 Architecture: any
 Multi-Arch: same
