=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 endif
 
 %:
-	dh $@ --parallel --buildsystem=cmake \
+	dh $@ --buildsystem=cmake \
 		--sourcedirectory=source \
 		--builddirectory=x265-8bit
