=== debian/changelog ===
x265 (2.2-1ubuntu1) zesty; urgency=medium

  * debian/rules: Disable altivec support - broken on ppc64el currently. See
    https://bitbucket.org/multicoreware/x265/issues/320/fail-to-build-on-power8-le

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 31 Jan 2017 17:04:10 +0000

x265 (2.2-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-95 -> libx265-102.
  * debian/rules: No longer disable PIE.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 29 Dec 2016 14:17:49 +0100
