=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-95 (= ${binary:Version})
+ libx265-102 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,7 +53,7 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-95
+Package: libx265-102
 Section: libs
 Architecture: any
 Multi-Arch: same
