=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed \
 	-L$(CURDIR)/x265-10bit \
@@ -23,6 +23,11 @@
 FLAGS += -DENABLE_ASSEMBLY=ON
 else
 FLAGS += -DENABLE_ASSEMBLY=OFF
+endif
+
+# https://bitbucket.org/multicoreware/x265/issues/320/fail-to-build-on-power8-le
+ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
+FLAGS += -DENABLE_ALTIVEC=OFF
 endif
 
 %:
