=== debian/changelog ===
x265 (2.3-2) experimental; urgency=medium

  * debian/copyright: Add missing paragraphs for some undocumented files.
    (Closes: #855478)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Feb 2017 16:57:15 +0100

x265 (2.3-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: libx265-102 -> libx265-110.
  * debian/rules: Disable AltiVec support on ppc64* for 10 and 12 bit builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Feb 2017 00:34:35 +0100
