=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libx265-102 (= ${binary:Version})
+ libx265-110 (= ${binary:Version})
 Suggests:
  libx265-doc
 Description: H.265/HEVC video stream encoder (development files)
@@ -53,7 +53,7 @@
  This is the development package which contains headers and libraries for
  libx265.
 
-Package: libx265-102
+Package: libx265-110
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -69,6 +69,7 @@
 Package: libx265-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
