=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,10 @@
 FLAGS += -DENABLE_ASSEMBLY=OFF
 endif
 
-# https://bitbucket.org/multicoreware/x265/issues/320/fail-to-build-on-power8-le
-ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
-FLAGS += -DENABLE_ALTIVEC=OFF
+# disable altive on ppc64el if building 10 bit and 12 bit versions
+# see https://bitbucket.org/multicoreware/x265/issues/320/fail-to-build-on-power8-le
+ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el ppc64))
+FLAGS_OTHERBIT += -DENABLE_ALTIVEC=OFF
 endif
 
 %:
